Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc
Class NoteMacro

    java.lang.Object
      org.radeox.macro.BaseMacro
          grails.doc.NoteMacro

All Implemented Interfaces:
  groovy.lang.GroovyObject, Comparable, org.radeox.macro.Macro

    public class NoteMacro

extends org.radeox.macro.BaseMacro
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.radeox.macro.BaseMacro
`description, initialContext, paramDescription`

Constructor Summary
`NoteMacro()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `execute(Writer writer, org.radeox.macro.parameter.MacroParameter params)`
`groovy.lang.MetaClass` | `getMetaClass()`
`String` | `getName()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`

Methods inherited from class org.radeox.macro.BaseMacro
`compareTo, getDescription, getParamDescription, setInitialContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoteMacro

    public NoteMacro()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.radeox.macro.Macro`
  Specified by:
    `getName` in class `org.radeox.macro.BaseMacro`

### execute

    public void execute(Writer writer,
                        org.radeox.macro.parameter.MacroParameter params)

  Specified by:
    `execute` in interface `org.radeox.macro.Macro`
  Specified by:
    `execute` in class `org.radeox.macro.BaseMacro`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project